package de.ipk_gatersleben.ag_pbi.fluxbalance.calculation;

import java.util.ArrayList;
import java.util.Collection;

import org.graffiti.plugin.algorithm.Algorithm;

import de.ipk_gatersleben.ag_nw.graffiti.plugins.gui.launch_gui.LaunchGui;

public class StartRobustnesSelection extends LaunchGui implements Algorithm {

	public StartRobustnesSelection() {
		super();
		algBTsize = ButtonSize.LARGE;
	}

	@Override
	protected Collection<Algorithm> getAlgorithms() {

		ArrayList<Algorithm> result = new ArrayList<Algorithm>();
		result.add(new StartCalculationAlgorithmRobustnessComplete());
		result.add(new StartCalculationAlgorithmRobustnessNew());

		return result;
	}

	@Override
	public String getLaunchGuiDescription() {
		return "<html>" +
							"FBA-SimVis provides two modes of data evaluation with respect to<br>" +
							"robustness analysis:<br>" +
							"<br>" +
							"<b><font color=\"#04B404\">(1) Robustness Analysis (complete):</font></b><br>" +
							"This option allows to perform robustness analysis based on all<br>" +
							"reactions of the given network map, thus offering an overview<br>" +
							"perspective. <br>" +
							"<br>" +
							"<b><font color=\"#0101DF\">(2) Robustness Analysis (specified):</font></b><br>" +
							"This option allows to perform robustness analysis based on a <br>" +
							"selected reaction specified by the user<br>" +
							"<br>";
	}

	@Override
	public String getName() {
		return "<html>" +
							"<font color=\"#0101DF\">Robustness Analysis</font>";

	}

	@Override
	public String getCategory() {
		return "FBA";
	}
}
