package de.ipk_gatersleben.ag_pbi.fluxbalance.reconstruction;

import java.util.ArrayList;
import java.util.Collection;

import org.graffiti.plugin.algorithm.Algorithm;

import de.ipk_gatersleben.ag_nw.graffiti.plugins.gui.launch_gui.LaunchGui;

public class CmatrixSelection extends LaunchGui implements Algorithm {

	public CmatrixSelection() {
		super();
		algBTsize = ButtonSize.LARGE;
	}

	@Override
	protected Collection<Algorithm> getAlgorithms() {

		ArrayList<Algorithm> result = new ArrayList<Algorithm>();
		result.add(new CreateMetaboliteFile());
		result.add(new CreateCmatrix());
		return result;
	}

	@Override
	public String getLaunchGuiDescription() {
		return "<html>" +
							"<b>With this command you may create a C-matrix file which <br>" +
							"forms the basis for subsequent model analysis.<br></b>" +
							"<br>" +
							"Procedure to create a C-matrix file:<br>" +
							"<b><font color=\"#04B404\">STEP 1:</font></b>  Create Metabolite file <br>" +
							"<b><font color=\"#0101DF\">STEP 2:</font></b>  Create C-matrix file<br>" +
							"<br>";
	}

	@Override
	public String getName() {
		return "<html>" +
							"<font color=\"#0404B4\">Create C-matrix file</font>";

	}

	@Override
	public String getCategory() {
		return "FBA";
	}
}
