package de.ipk_gatersleben.ag_pbi.fluxbalance.reconstruction;

import java.util.ArrayList;
import java.util.Collection;

import org.graffiti.plugin.algorithm.Algorithm;

import de.ipk_gatersleben.ag_nw.graffiti.plugins.gui.launch_gui.LaunchGui;

public class ModelReconstructionSelection extends LaunchGui {
	
	public ModelReconstructionSelection() {
		super();
		algBTsize = ButtonSize.LARGE;
	}
	
	@Override
	protected Collection<Algorithm> getAlgorithms() {
		
		ArrayList<Algorithm> result = new ArrayList<Algorithm>();
		
		result.add(new ReconstructionGuideLines());
		result.add(new CompleteReconstruction());
		result.add(null);
		result.add(new CreateSBMLFile());
		result.add(new CmatrixSelection());
		result.add(new CreateReactionFile());
		
		return result;
	}
	
	@Override
	public String getLaunchGuiDescription() {
		return "<html>" +
							"<b>FBA-SimVis offers an interactive model reconstruction en-<br>" +
							"vironment.</b><br>" +
							"<br>" +
							"Detailed information about metabolic model reconstruction are<br>" +
							"given in the <b><font color=\"#04B404\">Reconstruction Guidelines</font></b>. " +
							"Using <b><font color=\"#04B4AE\">Create All</font></b> you<br>" +
							"may perform all steps in one.<br><br>" +
							"To perform model analysis the reconstructed metabolic model<br>" +
							"has to be exported as:<br>" +
							"<b><font color=\"#045FB4\">(1) SBML file</font></b> (obligatory)<br>" +
							"<b><font color=\"#0404B4\">(2) C-matrix file</font></b> (obligatory)<br>" +
							"which form the basis for subsequent analysis<br>" +
							"<br>" +
							"To support model checking the reconstructed metabolic model<br>" +
							"can furthermore be exported as:<br>" +
							"<b><font color=\"#5F04B4\">(3) Reaction file</font></b> (optional)<br>" +
							// "which includes a list of the model reactions and their stoichio-<br>"+
				// "metrie, thus supporting model checking.<br>"+
				"<br>";
	}
	
	@Override
	public String getName() {
		return "I.   Model Reconstruction";
		
	}
	
	@Override
	public String getCategory() {
		return "FBA";
	}
	
	@Override
	public boolean closeDialogBeforeExecution(Algorithm algorithm) {
		return algorithm instanceof CompleteReconstruction || algorithm instanceof CreateReactionFile;
	}
	
}
