package de.ipk_gatersleben.ag_pbi.fluxbalance.startsim;

import javax.swing.BoxLayout;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.SwingUtilities;

import org.graffiti.editor.MainFrame;
import org.graffiti.plugin.algorithm.AbstractEditorAlgorithm;
import org.graffiti.plugin.view.View;

import de.ipk_gatersleben.ag_nw.graffiti.JLabelHTMLlink;

public class MatlabRuntimeIndicator extends AbstractEditorAlgorithm {

	public boolean activeForView(View v) {
		return true;
	}

	public void execute() {
		SwingUtilities.invokeLater(new Runnable() {
			public void run() {
				JPanel msg = new JPanel();
				msg.setLayout(new BoxLayout(msg, BoxLayout.Y_AXIS));
				// msg.setLayout(new BoxLayout(msg,BoxLayout.));
				JLabel text = new JLabel("<html>Apparently you did not install the MATLAB Component Runtime (MCR).<br>" +
												"If you want to perform simulations, please extract the MCRInstaller.exe<br>" +
												"from the FBASimVis.zip folder, and proceed as detailed in the<br>" +
												"installation instructions:<br><br>");
				// msg.add(new
				// JLabel("<html>Apparently you did not install the MATLAB Component Runtime (MCR).<br>Please extract the MCRInstaller.exe from the FBASimVis.zip folder, <br>and proceed as detailed in the installation instructions on the website."));
				JLabelHTMLlink link = new JLabelHTMLlink("Installation instruction", "http://fbasimvis.ipk-gatersleben.de/installation.html");
				msg.add(text);
				msg.add(link);
				MainFrame.showMessageDialogPlain("Missing MATLAB Component Runtime (MCR)", msg);
			}
		});
	}

	public String getName() {
		return "I.  Matlab Runtime";
	}

	@Override
	public String getCategory() {
		return "FBA";
	}

}
