package de.ipk_gatersleben.ag_pbi.fluxbalance.visualization;

import java.util.ArrayList;
import java.util.Collection;

import org.graffiti.plugin.algorithm.Algorithm;

import de.ipk_gatersleben.ag_nw.graffiti.plugins.gui.launch_gui.LaunchGui;

public class StartVisualizationSelection extends LaunchGui implements Algorithm {
	
	public StartVisualizationSelection() {
		super();
		algBTsize = ButtonSize.LARGE;
	}
	
	@Override
	protected Collection<Algorithm> getAlgorithms() {
		
		ArrayList<Algorithm> result = new ArrayList<Algorithm>();
		
		result.add(new AnimatedFluxVisualizationSliderMultiFinal2());
		result.add(new AnimatedFluxVisualizationDeletionComplete());
		result.add(new AnimatedFluxVisualizationDeletion());
		result.add(new AnimatedFluxVisualizationRobustnessComplete());
		result.add(new AnimatedFluxVisualizationSliderRobustness());
		result.add(new AnimatedFluxVisualizationFluxVariability());
		return result;
	}
	
	@Override
	public String getLaunchGuiDescription() {
		return "<html>" +
							"FBA-SimVis provides interactive and dynamic flux visualisation routines either for<br>" +
							"flux data provided by the FBA-SimVis plug-in or by external software.<br>" +

							"<br>" +
							"<b>Flux visualisation procedure</b><br>" +
							"<b><font color=\"#04B404\">STEP 1:</font></b> Map flux data onto the given network (see procedure given below)<br>" +
							"<b><font color=\"#0101DF\">STEP 2: </font></b>Visualise data by selecting one of the visualisation routines given below.<br>" +
							"<br>" +
							"For flux data provided by external software only the first step of the above proce-<br>" +
							"dure has to be performed. For flux data provided by the plug-in the visualisation<br>" +
							"routine has to correspond to the model analysis technique providing the flux data.<br>" +
							"<br>" +
							"<b>Procedure to map flux data onto a given network:</b><br>" +
							"(1) Experiments: Load Input <br>" +
							"(2) Load Dataset: Chose the flux data file (.txt)<br>" +
							"(3) Perform Data Mapping (Charting-Style: Hidden)<br>" +
							"<br>";
	}
	
	@Override
	public String getName() {
		return "III. Model/Flux Visualisation";
	}
	
	@Override
	public String getCategory() {
		return "FBA";
	}
}
